package com.diagbot.vo.str;

import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 会诊申请单
 * </p>
 *
 * @author cy
 * @since 2020-10-09
 */
@Data
public class StrConsultationApplyVO {
    /**
     * 记录编号
     */
    private String recId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病历号
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 年龄
     */
    private String age;

    /**
     * 床号
     */
    private String bedNo;

    /**
     * 科别
     */
    private String deptName;

    /**
     * 病历日期
     */
    private Date recordDate;

    /**
     * 入院日期
     */
    private Date behospitalDate;

    /**
     * 标题
     */
    private String recTitle;

    /**
     * 申请科室
     */
    private String applyDept;

    /**
     * 申请医生
     */
    private String applyDoctor;

    /**
     * 申请日期
     */
    private Date applyDate;

    /**
     * 会诊类别
     */
    private String inviteType;

    /**
     * 会诊科室
     */
    private String inviteDept;

    /**
     * 会诊医生
     */
    private String inviteDoctor;

    /**
     * 简要病情
     */
    private String briefNote;

    /**
     * 当前诊断
     */
    private String diagnosis;

    /**
     * 诊疗情况
     */
    private String treatmentSituation;

    /**
     * 会诊时间
     */
    private Date consultationDate;

    /**
     * 会诊目的
     */
    private String consultationPurpose;

    /**
     * 会诊意见
     */
    private String consultationOpinions;

    /**
     * 记录医生
     */
    private String recDoctor;

    /**
     * 记录时间
     */
    private Date recDate;

    /**
     * 审核医生
     */
    private String auditDoctor;

    /**
     * 审核时间
     */
    private Date auditDate;

    /**
     * 结构化数据
     */
    private String wholeData;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间
     */
    private Date gmtModified;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 修改人
     */
    private String modifier;

}
